Partially refund transaction
Refund a transaction that has settled and send money back to the account holder. If amount is set to 0, performs a full refund. When a non-zero amount is provided, this endpoint performs a partial refund.
This is the v2 version of the refund endpoint, and returns the unified response format. See Pay In unified response codes reference for more information.
For a standard refund, whether full (amount set to 0) or partial, send no request body. Include a request body only to refund a split-funded transaction, with split instructions in refundDetails.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
ReferenceId for the transaction (PaymentId).
Request
Optional. To refund a split-funded transaction, provide split instructions in refundDetails. This endpoint takes the refund amount from the {amount} path parameter, so don’t set amount in the body. Omit the body for a standard refund.
Amount to refund from original transaction, minus any service fees charged on the original transaction.
The amount provided can’t be greater than the original total amount of the transaction, minus service fees. For example, if a transaction was $90 plus a $10 service fee, you can refund up to $90.
An amount equal to zero will refund the total amount authorized minus any service fee.
Response
Payabli’s unified response code. Starts with A (Approved) or D (Declined) followed by a four-digit code that provides specific details about the transaction result. See Pay In unified response codes reference for more information.
Human-readable reason corresponding to the response code.
Pagination token (equivalent to pageIdentifier in v1 APIs). Returns null when pagination is not applicable.